Bug 460357

Summary: 'Keyboard Layout' and 'Lock Keys Status' applets have the same icon in system tray settings
Product: [Plasma] kdeplasma-addons Reporter: Patrick Silva <bugseforuns>
Component: Keyboard IndicatorAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: minor CC: aleixpol, kainz.a, m, nate, postix
Priority: NOR Keywords: usability
Version: 5.25.90   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In: 5.27
Attachments: screenshot

Description Patrick Silva 2022-10-13 12:19:42 UTC
Title says it all. Please see the attached  screenshot.

EXPECTED RESULT
different icons

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.26.0
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Graphics Platform: Wayland
Comment 1 Patrick Silva 2022-10-13 12:20:05 UTC
Created attachment 152767 [details]
screenshot
Comment 2 Nate Graham 2022-10-14 18:01:40 UTC
So the issue here is that both the Lock Keys Status and Keyboard Layout plasmoids specify the input-keyboard icon in their respective json files.

input-keyboard is more correct for Keyboard Layout, so it should be changed to something else for the Lock Keys Status plasmoid. Not sure what, though; nothing jumps out to me as objectively better. We may also need a new icon that we can use for it.
Comment 3 Bug Janitor Service 2022-10-15 14:52:43 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/246
Comment 4 Nate Graham 2022-10-18 14:57:32 UTC
Git commit 7b5ed5f6640ace00512415d386b647f2716d8bb3 by Nate Graham, on behalf of Bharadwaj Raju.
Committed on 18/10/2022 at 14:57.
Pushed by ngraham into branch 'master'.

applets/keyboardindicator: Use input-caps-on as default icon

Now it has the same icon across its Widget Explorer entry, config window entry, and compact
representation. And this icon is different from the icon used by the Keyboard Layout widget.
FIXED-IN: 5.27

M  +1    -1    applets/keyboardindicator/contents/config/config.qml
M  +18   -16   applets/keyboardindicator/contents/ui/main.qml
M  +1    -1    applets/keyboardindicator/metadata.json

https://invent.kde.org/plasma/kdeplasma-addons/commit/7b5ed5f6640ace00512415d386b647f2716d8bb3